- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists previously created automation sessions.
Sessions may still be in-progress, or may have finished successfully, or unsuccessfully.
HTTP request
GET https://devicerun.googleapis.com/v1alpha/{parent=projects/*/locations/*}/sessions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent value for ListSessionsRequest The parent of the collection of sessions. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of sessions to return. The server may return fewer items than this value. If unspecified, at most 20 sessions will be returned. The maximum value is 100, values above will be coerced to 100. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. The raw filter text to constrain the results. |
orderBy |
Optional. The order to sort results by. |
view |
Optional. The view of the sessions to return. If not set, the |
Request body
The request body must be empty.
Response body
Response including listed sessions.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"sessions": [
{
object ( |
| Fields | |
|---|---|
sessions[] |
The list of sessions. |
nextPageToken |
Token to receive the next page of sessions. This will be absent if the end of the response list has been reached. |
unreachable[] |
Unordered list. Sessions that could not be reached. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.